<template>
  <div class="container-fluid mb-5 mt-4">
    <div class="row">
      <div class="col-md-3 mb-4">
        <CustomerMenu />
      </div>
      <div class="col-md-9 mb-4">
        <div class="card border-0 rounded shadow">
          <div class="card-body">
            <h5 class="font-weight-bold text-left">My Order</h5>
            <hr>
            <div class="table-responsive">
              <table class="table table-hover border-0">
                <thead class="thead-light">
                  <tr>
                    <th scope="col">INVOICE</th>
                    <th scope="col">FULL NAME</th>
                    <th scope="col">SHIPPING</th>
                    <th scope="col">GRAND TOTAL</th>
                    <th scope="col">OPTIONS</th>
                  </tr>
                </thead>
                <tbody>
                  <tr v-for="order in orders" :key="order.id">
                    <td>{{ order.invoice }}</td>
                    <td>{{ order.name }}</td>
                    <td>{{ order.courier.toUpperCase() }} | {{ order.service }} | Rp {{ moneyFormat(order.cost_courier) }}
                    </td>
                    <td>Rp. {{ moneyFormat(order.grand_total) }}</td>
                    <td class="text-center">
                      <router-link :to="{ name: 'detail_order', params: { snap_token: order.snap_token } }"
                        class="btn btn-sm btn-primary border-0">DETAIL</router-link>
                    </td>
                  </tr>

                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
//import customer menu component
import CustomerMenu from '@/components/CustomerMenu'
import { computed, onMounted } from 'vue'
import { useStore } from 'vuex'

export default {

  name: 'OrderIndexComponent',

  components: {
    //customer menu component
    CustomerMenu
  },

  setup() {

    //store vuex
    const store = useStore()

    //mounted
    onMounted(() => {
      //panggil action "getOrder" di module "order" vuex
      return store.dispatch('order/getOrder')

    })

    //computed
    const orders = computed(() => {

      //panggil getter dengan nama "getOrder" di module "order" vuex 
      return store.getters['order/getOrder']
    })

    //return a state and function
    return {
      store,
      orders
    }

  }

}
</script>

<style scoped>
.table {
  border-collapse: collapse;
}
/* .table .thead-dark th {
  color: #fff;
  background: linear-gradient(90deg, #CC2B5E 0%, #753A88 100%);
  border-color: linear-gradient(90deg, #CC2B5E 0%, #753A88 100%);
} */
</style>